%define name mutt
%define pversion 1.2.5.1
%define version 1.2.5i.1
%define release 2tr
%define prefix %{_prefix}

Name:		%{name}
Summary:	A text mode mail user agent.
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Network/Clients
URL:		http://www.mutt.org/
Source:		ftp://ftp.mutt.org/pub/mutt/%{name}-%{pversion}.tar.gz
Patch1:         mutt-1.2.2.sgid.patch.bz2
Requires:	ncurses >= 5.0, smtpdaemon
BuildRequires:  ncurses-devel >= 5.0
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
Mutt is a text mode mail user agent. Mutt supports color, threading,
arbitrary key remapping, and a lot of customization.


%prep
%setup -q -n %{name}-%{pversion}
%patch1 -p1 

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=%{prefix} --with-sharedir=/etc --sysconfdir=/etc \
	--with-docdir=%{prefix}/doc/mutt-%{version} \
	--enable-pop --enable-imap --mandir=/usr/share/man\
	--disable-warnings --with-ncurses --disable-domain \
	--enable-nfs-fix --with-charmaps --with-ssl

make


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sharedir=$RPM_BUILD_ROOT/etc \
  sysconfdir=$RPM_BUILD_ROOT/etc \
  docdir=$RPM_BUILD_ROOT%{prefix}/doc/mutt-%{version} \
  mandir=$RPM_BUILD_ROOT/usr/share/man install


%post

%postun


%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi


%files
%defattr(-,root,root)
%config /etc/Muttrc
/usr/share/man/man5/muttrc.5*
/usr/share/man/man1/mutt_dotlock.1*
/usr/share/man/man1/mutt.1*
/usr/share/locale/*
/usr/bin/pgpring
/usr/bin/pgpewrap
/usr/bin/mutt
/usr/bin/muttbug
%doc README.SECURITY README.SSL COPYRIGHT GPL ChangeLog INSTALL TODO README
%doc NEWS
%doc doc/* contrib
%defattr(2755,root,mail)
/usr/bin/mutt_dotlock


%changelog
* Mon Jun  3 2002 Erlend Midttun <erlendbm@trustix.com>
- Now even use the %doc macro.

* Wed Jan  3 2002 Erlend Midttun <erlendbm@trustix.com>
- Picked up 1.2.5.1 to fix security hole.

* Tue Jul 17 2001 Erlend Midttun <erlendbm@trustix.com>
- Inc serial number before release.

* Tue Mar  6 2001 Oystein Viggen <oysteivi@trustix.com>
- Upgrade to v1.2.5i

* Fri Nov 17 2000 Oystein Viggen <oysteivi@trustix.com>
- Enable ssl support

* Tue Jul 18 2000 Oystein Viggen <oysteivi@trustix.com>
- Move man-pages to /usr/share/man

* Fri Jul 07 2000 DindinX <odin@mandrakesoft.com> 1.2.4i-2mdk
- merge Geoffrey Lee's spec changes
- remove /etc/mimes.types from %files which caused a conflit w/ mailcap

* Fri Jul 07 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.4i-1mdk
- new release (This version fixes a couple of problems present in 1.2.2, and
  one problem leading to crashes whose fix was missing from 1.2.3.)

* Mon Jun 26 2000 DindinX <odin@mandrakesoft.com> 1.2.2i-3mdk
- put the Serial: tag back

* Fri Jun 23 2000 DindinX <odin@mandrakesoft.com> 1.2.2i-2mdk
- fix the build as user the right way :)

* Thu Jun 22 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.2.2i-1mdk
- 1.2.2i
- removed %defattr which was causing readonly inboxes
- build with ncurses instead of slang to get colors working properly
- removed SSL support (won't compile due to keymaps bug)
- fixed build

* Tue Jun 20 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.2i-2mdk
- enable charmaps in configure
- removed --enable-compressed (no patch)

* Mon Jun 19 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.2i-1mdk
- 1.2i
- enable SSL and NFS fixes in configure

* Wed Apr 27 2000 DindinX <odin@mandrakesoft.com> 1.0.1i-7mdk
- Recompile fix.
- fix the color scheme.

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1i-6mdk
- By default active colors.
- Believe me or not, fix menu and %post.
- Use find_lang macros for locales.

* Tue Apr  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1i-5mdk
- Fix another chmousucks in menu (yes me too i can believe it).

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1i-4mdk
- Fix chmousucks in menu.
- Add icons in menu.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1i-3mdk
- Fix menu entry (don't only cp the meny entry from your debian box
  dindin ;)).

* Fri Mar 24 2000 DindinX <odin@mandrakesoft.com> 1.0.1i-2mdk
- Specs and group fixes
- Added menu support

* Sun Feb 06 2000 Andre Steden <andre@steden.de>
- 1.0.1
- add compressed folders patch
- add colour patch

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.0.

* Wed Oct  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.0pre3.

* Mon Aug 09 1999 Daouda LO <daouda@mandrakesoft.com>
 -0.95.7
 -added manual.sgml in documents.

* Sun May 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix bug of locales.

* Wed Apr 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adaptations.
- update to 0.99.5.

* Mon Mar  8 1999 Bill Nottingham <notting@redhat.com>
-  update to 0.95.4 - fixes a /tmp race

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- the RETURN OF WMCONFIG! Aiyeee!

* Fri Feb 12 1999 Bill Nottingham <notting@redhat.com>
- 0.95.3 - fixes mailcap handling

* Mon Jan  4 1999 Bill Nottingham <notting@redhat.com>
- 0.95.1

* Sat Dec 12 1998 Bill Nottingham <notting@redhat.com>
- 0.95

* Fri Jul 31 1998 Bill Nottingham <notting@redhat.com>
- backport some 0.94.2 security fixes
- fix un-setgid
- update to 0.93.2

* Tue Jul 28 1998 Jeff Johnson <jbj@redhat.com>
- security fix
- update to 0.93.1.
- turn off setgid mail.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.91.1

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to mutt-0.89.1

* Thu Oct 16 1997 Otto Hammersmith <otto@redhat.com>
- Updated to mutt 0.85.
- added wmconfig entries.
- removed mime.types

* Mon Sep 1 1997 Donnie Barnes <djb@redhat.com>
- Rebuilt to insure all sources were fresh and patches were clean.

* Wed Aug 6 1997 Manoj Kasichainula <manojk@io.com>
 - Initial version for 0.81(e)
